Subject: [bug#74987] [PATCH 0/2] Some dependencies for julia-setfield

From: "King, Spencer" <[email-masked]>
Date: Tue, 24 Dec 2024 21:38:36 +0000

Hi Ludo, 

Thank you for being so prompt when it comes to reviewing my patches, I really do appreciate it. I'm happy to help the Julia package set grow. All of my Julia contributions so far have been working towards packaging some of the larger machine learning packages that I use, which have pretty deep dependency trees.

I agree that longer-term maintenance is a point of concern. Perhaps that will change if Julia begins to see more widespread adoption. I think one of the biggest issues facing Julia packaging is that there currently isn't the same level of interest as languages like Python. I also know that there have been some issues with packages not building reproducibly due to upstream issues with the internals of the Julia compiler, but I'm not going to pretend I have an in-depth understanding of that issue.

I have seen your thread about your efforts to package a new version of Julia. It looks pretty complex and is definitely a major step up in complexity from any packages I've written so far. I think this comes back to the issue of interest, Julia just doesn't have the same level of interest as other languages in scientific computing so it can be challenging to find collaborators.

Like you said, individual package upgrades have gone fine so far. I've done a few myself without issues. I agree that it probably won't last as the package set grows and we end up with more complex dependency trees. However, I imagine that is a similar issue faced by other package sets in Guix.

Best,
Spencer